<?php

/**
 * co_sel_adjudicatario actions.
 *
 * @package    contratacion
 * @subpackage co_sel_adjudicatario
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class co_sel_adjudicatarioActions extends sfQuery
{
    /*
    * ------------VARIABLES PARA SERVICIOS DE CONSULTA - LIST
    */
    protected $table_names = array(
        'CO_SEL_ADJUDICATARIO','CO_SELECCION_ETAPA','CO_SELECCION_EP','CO_ESTUDIOS_PREVIOS','INTERCEROS_V'
    ); //tablas para construir el sql, por medio de joins
    protected $table_join_ids = array(
        'CO_SELECCION_ETAPA' =>
         array (
            'id_seleccion_etapa' => 'CO_SEL_ADJUDICATARIO'
         ), 
        'CO_SELECCION_EP' =>
        array(
          'id_seleccion_ep' => 'CO_SELECCION_ETAPA'  
        ),
        'CO_ESTUDIOS_PREVIOS' =>
         array (
            'id_estudios_previos' => 'CO_SELECCION_EP'
         ),
        'INTERCEROS_V' =>
        array(
            'id_adjudicatario-id_mae_ter' =>'CO_SEL_ADJUDICATARIO'            
        )
    ); //si posee tablas para joins, identificar la relacion de los campos con las tablas
    protected $fields = array(
       'CO_SEL_ADJUDICATARIO' =>
        array(
          'id_sel_adjudicatario' => 'id_sel_adjudicatario',
          'id_seleccion_etapa' => 'id_seleccion_etapa',
          'id_adjudicatario' => 'id_adjudicatario'  
       ),
       'CO_SELECCION_ETAPA' =>
        array(
            'id_seleccion_ep' => 'id_seleccion_ep',
            'id_etapa_modalidad' => 'id_etapa_modalidad',
            'fecha' => 'fecha',
            'numero' => 'numero',
            'num_oferentes' => 'num_oferentes',
            'num_adjudicatarios' => 'num_adjudicatarios',
            'fecha_desde' => 'fecha_desde',
            'fecha_hasta' => 'fecha_hasta',
            'observaciones' => 'observaciones',
            'adjunto' => 'adjunto'
        ),
        'CO_SELECCION_EP' =>
       array(
            'fecha_inicio' => 'fecha_inicio',
            'estado' => 'estado'
        ),
        'CO_ESTUDIOS_PREVIOS'=>
        array(
            'no_proceso' => 'no_proceso',
            'fecha_creacion' => 'fecha_creacion'
        ),
        'INTERCEROS_V' =>
        array(
            'num_doc' => 'num_doc_oferente',
            'razon_soc' => 'razon_soc_oferente'
        )
    ); //por cada tabla especificar los campos del select
    protected $fields_orderBy = array(
    ); //campos para el ordenamiento de la consulta
    /*
     * OPCIONES DE FILTRO:
     *
     * LIKEALLPLUS- busqueda comparativa de la cadena dividida por los espacios en blanco en cualquier posición
     * LIKEALL - busqueda comparativa de la cadena en cualquier posición
     * LIKE - busqueda en la cadena que inicie por la variable de filtro
     *
     * rownum,start - rownum,end / estos campos para uso del Grid live GWT, numero fijo de filas de consulta
     */
    protected $table_field_conditions = array(
       'CO_SEL_ADJUDICATARIO' =>
        array(    
            'id_sel_adjudicatario,a' => array('!=' => array(-1)),
            'id_sel_adjudicatario,b' => array('=' => array('id_sel_adjudicatario')),
            'id_seleccion_etapa,b' => array('=' => array('id_seleccion_etapa')),
            'id_adjudicatario,b' => array('=' => array('id_adjudicatario')),
            'rownum,start' => array('>' => array('_startRow')),
            'rownum,end' => array('<=' => array('_endRow'))
        )
        
    ); //por cada tabla se dan los campos, opcion de filtro y variable que entra para los posibles filtros
    protected $table_field_or_conditions = array(
    ); // filtros de condicion or
    /*
     * Variable manejo de log
     */
    //true - consulta de menu administracion
    protected $is_admin = true;
    //si es servicio para filtro agregar campo
//    protected $filtro = 'Perfiles';
    //true - la tabla principal de busqueda no es una vista
    protected $is_filtro = true;
    /*
     * ------------VARIABLES PARA SERVICIOS CRUD
     */
    protected $id_name = 'id_sel_adjudicatario'; //identificador de la tabla
    protected $id_names = array('id_sel_adjudicatario'); //llave primaria
    protected $field_names = array('id_seleccion_etapa','id_adjudicatario'); //campos de la tabla, sin la llave primaria
    protected $table_name = 'CO_SEL_ADJUDICATARIO'; //tabla en la cual se aplican los cambios 
    /*
     * Manejo de registro log
     */
    protected $id_unico = 'id_sel_adjudicatario'; //identificador unico de la tabla
    
    protected function postprocessRequest($Action, \sfWebRequest $request, $list_data_post) {
         /*
         * Se instancia la clase del manejo del log
         */
        $logger = sfContext::getInstance()->getLogger();
        $logger->info("Entro a postprocessRequest - " . $list_data_post);
        /*
         * Procesar Request
         */
        //accion add
        if ($Action == "ADD") {
            
        }

        //accion update
        if ($Action == "UPDATE") {
            
        }

        //accion remove
        if ($Action == "REMOVE") {
            
        }

        return $request;
    }

    protected function preprocessRequest($Action, \sfWebRequest $request) {
         /*
         * Se instancia la clase del manejo del log
         */
        $logger = sfContext::getInstance()->getLogger();
        //$logger->info("Entro a postprocessRequest - " . $list_data_post);
        /*
         * Procesar Request
         */
        //accion add
        if ($Action == "ADD") {
            
        }

        //accion update
        if ($Action == "UPDATE") {
            
        }

        //accion remove
        if ($Action == "REMOVE") {
            
        }

        return $request;
    }

    protected function validateAdd(\sfWebRequest $request) {
         //valor por defecto
        $errors = null;

        /*
         *  Validar la operación, ya sea por SQL
         */

        /*
         *  Generar errores en $errors
         */

        return $errors;
    }

    protected function validateRemove(\sfWebRequest $request) {
         //valor por defecto
        $errors = null;

        /*
         *  Validar la operación, ya sea por SQL
         */

        /*
         *  Generar errores en $errors
         */

        return $errors;
    }

    protected function validateUpdate(\sfWebRequest $request) {
         //valor por defecto
        $errors = null;

        /*
         *  Validar la operación, ya sea por SQL
         */

        /*
         *  Generar errores en $errors
         */

        return $errors;
    }    
}
